/*
 * Copyright (c) 2020 Nectar Inc
 * All_Rights_Reserved.
 * 
 */

#ifndef NECTAR_SAADC_H__
#define NECTAR_SAADC_H__

#include <stdint.h>
#include "boards.h"
#include "nrf_drv_saadc.h"

// Analog switch enable gpio, active low
#define DRV_ANALOG  ARDUINO_5_PIN

// ADC input pin for depth detection
#define ADC_INPUT   NRF_SAADC_INPUT_AIN0
#define ADC_CHANNEL 0

// Limit to 5ms for a 80cm depth detection
#define MAX_ADC_PERIOD  5

// 1ms is 200 samples at 200ksps.
#define MAX_ADC_SAMPLES (MAX_ADC_PERIOD * 200)

void nectar_envelope_adc_init(void);
void nectar_envelope_adc_read(void);
void nectar_envelope_adc_clear(void);


#endif // NECTAR_SAADC_H__