/**
 * Copyright (c) 2020 Nectar Inc
 * All_Rights_Reserved.
 * 
 */

#ifndef NECTAR_SPI_H
#define NECTAR_SPI_H

//current SPI wrapper driver assumes one spi instance.. it can be scaled to be configurable if needed ..in future

//read a register of the peripheral connected via spi
uint8_t nectar_spi_readRegister8(uint8_t addr);

//write into a register of the peripheral connected via spi
void nectar_spi_writeRegister8(uint8_t addr, uint8_t value);

//initialize the spi peripheral.. currently, spi is married to accel with predefined Chip select
void nectar_spi_init(void);

//called before system goes to deep sleep
bool nectar_spi_sleep(void);


#endif //NECTAR_SPI_H